Foxit PDF SDK

Public Member Functions | List of all members
FSDK.Color Class Reference

## Public Member Functions
| constructor ()
| Construct an empty color.
| constructor (color_space)
| Constructor, with a color space object. More...
| ConvertToCMYK (intent)
| Convert to a CMYK color. More...
| ConvertToRGB (intent)
| Convert to a RGB color. More...
| GetColorSpace ()
| Get the color space that current color belongs to. More...
| GetValue ()
| Get component value array. More...
| IsEmpty ()
| Check whether current object is empty or not. More...
| SetValue (component_array)
| Set component value array. More...

## Detailed Description

This class represents a color.

## Member Function Documentation

## ◆ constructor()

FSDK.Color.constructor | ( | color_space |  | ) |

Constructor, with a color space object.

Parameters

  [in] | color_space | A valid color space object.

## ◆ ConvertToCMYK()

FSDK.Color.ConvertToCMYK | ( | intent |  | ) |

Convert to a CMYK color.

Parameters

  [in] | intent | (Reserved) Rendering intent used for color conversion.

Returns
  Converted color. If the return value of function FSDK.Color.IsEmpty for the returned color is true, that means the conversion failed.

## ◆ ConvertToRGB()

FSDK.Color.ConvertToRGB | ( | intent |  | ) |

Convert to a RGB color.

Parameters

  [in] | intent | (Reserved) Rendering intent used for color conversion.

Returns
  Converted color. If the return value of function FSDK.Color.IsEmpty for the returned color is true, that means the conversion failed.

## ◆ GetColorSpace()

FSDK.Color.GetColorSpace | ( |  | ) |

Get the color space that current color belongs to.

Returns
  Color space object.

## ◆ GetValue()

FSDK.Color.GetValue | ( |  | ) |

Get component value array.

The count of components depends on the color space that current color belongs to. User can get the color space object by function FSDK.Color.GetColorSpace, and then get the count of componets by function FSDK.ColorSpace.GetComponentCount.

Returns
  A component value array. Each component value would be in the range from 0.0 to 1.0.

## ◆ IsEmpty()

FSDK.Color.IsEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ SetValue()

FSDK.Color.SetValue | ( | component_array |  | ) |

Set component value array.

The count of components depends on the color space that current color belongs to. User can get the color space object by function FSDK.Color.GetColorSpace, and then get the count of componets by function FSDK.ColorSpace.GetComponentCount.

Parameters

  [in] | component_array | A component value array. The count of components in this array should match the count of components of the color space that current color belongs to. Valid range of each component value: from 0.0 to 1.0.

Returns
  None.